Bug 82658 - Safari warns that it needs to resend the form in an iFrame when going back
Summary: Safari warns that it needs to resend the form in an iFrame when going back
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.7
: P2 Normal
Assignee: Jon Lee
URL:
Keywords: InRadar
Depends on: 85969 42331
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 14:20 PDT by Jon Lee
Modified: 2012-05-21 05:11 PDT (History)
6 users (show)

See Also:


Attachments
Patch (706.24 KB, patch)
2012-05-07 09:43 PDT, Jon Lee
no flags Details | Formatted Diff | Diff
Patch (701.97 KB, patch)
2012-05-07 14:53 PDT, Jon Lee
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2012-03-29 14:20:18 PDT
<rdar://problem/10563073>
Comment 1 Jon Lee 2012-05-07 09:43:38 PDT
Created attachment 140540 [details]
Patch
Comment 2 WebKit Review Bot 2012-05-07 09:47:05 PDT
Attachment 140540 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/http..." exit_code: 1
WebKitLibraries/WebKitSystemInterface.h:492:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2012-05-07 10:07:16 PDT
Comment on attachment 140540 [details]
Patch

Attachment 140540 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12643373
Comment 4 Jon Lee 2012-05-07 14:53:48 PDT
Created attachment 140597 [details]
Patch
Comment 5 Darin Adler 2012-05-07 14:57:42 PDT
Comment on attachment 140597 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=140597&action=review

> Source/WebCore/platform/network/cf/ResourceRequestCFNet.cpp:154
> +#if (USE(CFNETWORK) && !PLATFORM(WIN)) || (PLATFORM(MAC) && !defined(BUILDING_ON_SNOW_LEOPARD))

This whole file is already wrapped in #if USE(CFNETWORK), so there’s no reason to check that.

The part of the predicate after the || is pointless because if !PLATFORM(WIN) is true then it won’t even be evaluated.
Comment 6 Jon Lee 2012-05-08 17:56:12 PDT
Committed r116473: <http://trac.webkit.org/changeset/116473>
Comment 7 Zoltan Arvai 2012-05-09 01:40:40 PDT
Newly added test 
http/tests/loading/post-in-iframe-with-back-navigation
fails on bots.

SnowLeopard Intel Release (Tests):
--- /Volumes/Data/slave/snowleopard-intel-release-tests/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-expected.txt 
+++ /Volumes/Data/slave/snowleopard-intel-release-tests/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-actual.txt 
@@ -2,12 +2,12 @@
 main frame - didCommitLoadForFrame
 main frame - didReceiveTitle: Resending form on back navigation from POST submissions
 frame "frame" - didStartProvisionalLoadForFrame
+main frame - didFinishDocumentLoadForFrame
 frame "frame" - didCommitLoadForFrame
 frame "frame" - didFinishDocumentLoadForFrame
 frame "frame" - didHandleOnloadEventsForFrame
+main frame - didHandleOnloadEventsForFrame
 frame "frame" - didFinishLoadForFrame
-main frame - didFinishDocumentLoadForFrame
-main frame - didHandleOnloadEventsForFrame
 main frame - didFinishLoadForFrame
 frame "frame" - willPerformClientRedirectToURL: http://127.0.0.1:8000/loading/resources/post-in-iframe-with-back-navigation-page-2.php 
 frame "frame" - didStartProvisionalLoadForFrame
@@ -40,5 +40,5 @@
 PASS getTitle() is "Page 2"
 PASS getTitle() is "Page 3"
 PASS getTitle() is "Page 2"
-PASS window.frames[0].document.getElementById('submissionTime').innerText is step2output
+FAIL window.frames[0].document.getElementById('submissionTime').innerText should be 0.90880500 1336551470. Was 0.92378600 1336551470.


Lion Release (Tests):
--- /Volumes/Data/slave/lion-intel-release-tests/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-expected.txt
+++ /Volumes/Data/slave/lion-intel-release-tests/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-actual.txt
@@ -40,5 +40,5 @@
 PASS getTitle() is "Page 2"
 PASS getTitle() is "Page 3"
 PASS getTitle() is "Page 2"
-PASS window.frames[0].document.getElementById('submissionTime').innerText is step2output
+FAIL window.frames[0].document.getElementById('submissionTime').innerText should be 0.21158600 1336551059. Was 0.22550900 1336551059.

GTK Linux 64-bit Release:
--- /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-expected.txt 
+++ /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-actual.txt 
@@ -1,28 +1,13 @@
 main frame - didStartProvisionalLoadForFrame
 main frame - didCommitLoadForFrame
-main frame - didReceiveTitle: Resending form on back navigation from POST submissions
 frame "frame" - didStartProvisionalLoadForFrame
+main frame - didFinishDocumentLoadForFrame
 frame "frame" - didCommitLoadForFrame
 frame "frame" - didFinishDocumentLoadForFrame
 frame "frame" - didHandleOnloadEventsForFrame
+main frame - didHandleOnloadEventsForFrame
 frame "frame" - didFinishLoadForFrame
-main frame - didFinishDocumentLoadForFrame
-main frame - didHandleOnloadEventsForFrame
 main frame - didFinishLoadForFrame
-frame "frame" - willPerformClientRedirectToURL: http://127.0.0.1:8000/loading/resources/post-in-iframe-with-back-navigation-page-2.php 
-frame "frame" - didStartProvisionalLoadForFrame
-frame "frame" - didCancelClientRedirectForFrame
-frame "frame" - didCommitLoadForFrame
-frame "frame" - didFinishDocumentLoadForFrame
-frame "frame" - didHandleOnloadEventsForFrame
-frame "frame" - didFinishLoadForFrame
-frame "frame" - willPerformClientRedirectToURL: http://127.0.0.1:8000/loading/resources/post-in-iframe-with-back-navigation-page-3.php 
-frame "frame" - didStartProvisionalLoadForFrame
-frame "frame" - didCancelClientRedirectForFrame
-frame "frame" - didCommitLoadForFrame
-frame "frame" - didFinishDocumentLoadForFrame
-frame "frame" - didHandleOnloadEventsForFrame
-frame "frame" - didFinishLoadForFrame
 frame "frame" - didStartProvisionalLoadForFrame
 frame "frame" - didCommitLoadForFrame
 frame "frame" - didFinishDocumentLoadForFrame
@@ -38,7 +23,4 @@
 TEST COMPLETE
 PASS getTitle() is "Page 1"
 PASS getTitle() is "Page 2"
-PASS getTitle() is "Page 3"
-PASS getTitle() is "Page 2"
-PASS window.frames[0].document.getElementById('submissionTime').innerText is step2output


Qt Linux Release:
--- /ramdisk/qt-linux-release/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-expected.txt 
+++ /ramdisk/qt-linux-release/build/layout-test-results/http/tests/loading/post-in-iframe-with-back-navigation-actual.txt 
@@ -2,12 +2,12 @@
 main frame - didCommitLoadForFrame
 main frame - didReceiveTitle: Resending form on back navigation from POST submissions
 frame "frame" - didStartProvisionalLoadForFrame
+main frame - didFinishDocumentLoadForFrame
 frame "frame" - didCommitLoadForFrame
 frame "frame" - didFinishDocumentLoadForFrame
 frame "frame" - didHandleOnloadEventsForFrame
+main frame - didHandleOnloadEventsForFrame
 frame "frame" - didFinishLoadForFrame
-main frame - didFinishDocumentLoadForFrame
-main frame - didHandleOnloadEventsForFrame
 main frame - didFinishLoadForFrame
 frame "frame" - willPerformClientRedirectToURL: http://127.0.0.1:8000/loading/resources/post-in-iframe-with-back-navigation-page-2.php 
 frame "frame" - didStartProvisionalLoadForFrame
@@ -40,5 +40,5 @@
 PASS getTitle() is "Page 2"
 PASS getTitle() is "Page 3"
 PASS getTitle() is "Page 2"
-PASS window.frames[0].document.getElementById('submissionTime').innerText is step2output
+FAIL window.frames[0].document.getElementById('submissionTime').innerText should be 0.74495000 1336551371. Was 0.75300800 1336551371.
Comment 8 Csaba Osztrogonác 2012-05-09 03:12:47 PDT
New bug on this fail: https://bugs.webkit.org/show_bug.cgi?id=85969
Comment 9 Antti Koivisto 2012-05-09 04:04:28 PDT
This broke build.

From http://build.webkit.org/builders/Lion%20Debug%20%28Build%29/builds/9762/steps/compile-webkit/logs/stdio

/Volumes/Data/slave/lion-intel-debug/build/Source/WebKit/mac/WebCoreSupport/WebSystemInterface.mm:188:5: error: use of undeclared identifier 'WKCFURLRequestAllowAllPostCaching'; did you mean 'wkCFURLRequestAllowAllPostCaching'? [3]
     INIT(CFURLRequestAllowAllPostCaching);
     ^
/Volumes/Data/slave/lion-intel-debug/build/Source/WebKit/mac/WebCoreSupport/WebSystemInterface.mm:37:41: note: instantiated from:
 #define INIT(function) wk##function = WK##function
                                         ^
<scratch space>:88:1: note: instantiated from:
 WKCFURLRequestAllowAllPostCaching
 ^
/Volumes/Data/slave/lion-intel-debug/build/WebKitBuild/Debug/WebCore.framework/PrivateHeaders/WebCoreSystemInterface.h:327:15: note: 'wkCFURLRequestAllowAllPostCaching' declared here [3]
 extern void (*wkCFURLRequestAllowAllPostCaching)(CFURLRequestRef);
               ^
1 error generated.
Comment 10 Antti Koivisto 2012-05-09 08:21:46 PDT
Apparently it started building.